import { VNode } from 'vue';
interface MessageItem {
    id: number;
    type: 'info' | 'success' | 'warning' | 'error';
    message: string | VNode;
    closeable: boolean;
    duration: number;
    timer?: number;
    startTime?: number;
    remaining: number;
}
declare function add(item: MessageItem): void;
declare function remove(id: number): void;
declare const _default: import('vue').DefineComponent<{}, {
    add: typeof add;
    remove: typeof remove;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, HTMLDivElement>;
export default _default;
